package uz.ssd.mobiuz.ui.home

import android.os.Bundle
import android.view.View
import dagger.hilt.android.AndroidEntryPoint
import uz.ssd.mobiuz.R
import uz.ssd.mobiuz.databinding.FragmentHomeBinding
import uz.ssd.mobiuz.ui.base.BaseFragment
import uz.ssd.mobiuz.utils.ButtonClick


@AndroidEntryPoint
class HomeFragment : BaseFragment(R.layout.fragment_home) {

    private var _bn: FragmentHomeBinding? = null
    private val bn get() = _bn ?: throw NullPointerException("cannot inflate")

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        _bn = FragmentHomeBinding.bind(view)

        setUpUI()
        collects()

    }

    override fun setUpUI() {
        bn.apply {
            btnMenu.setOnClickListener(object : ButtonClick() {
                override fun onSingleClick(v: View?) {

                }
            })
            btnAddSum.setOnClickListener(object : ButtonClick() {
                override fun onSingleClick(v: View?) {

                }
            })
        }
    }

    override fun collects() {

    }

    override fun onDestroy() {
        _bn = null
        super.onDestroy()
    }
}